> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extractor.live/llms.txt
> Use this file to discover all available pages before exploring further.

# create entity



## OpenAPI

````yaml /openapi.json post /api/v1/tokenomics/category
openapi: 3.0.3
info:
  title: Extractor Project (dev)
  version: 0.0.649
servers: []
security: []
paths:
  /api/v1/tokenomics/category:
    post:
      tags:
        - Tokenomics Category Route
      summary: create entity
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateTokenomicsCategoryDto'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenomicsCategoryDto'
      security:
        - SecurityScheme: []
components:
  schemas:
    CreateTokenomicsCategoryDto:
      required:
        - contractId
        - name
        - allocationAddress
      type: object
      properties:
        status:
          description: 'Status of the entity. Default: ''ACTIVE'''
          type: string
          allOf:
            - $ref: '#/components/schemas/Status'
        contractId:
          format: int64
          description: Tokenomics Category contract
          type: integer
        name:
          description: Name for the entity
          type: string
        allocationAddress:
          description: Tokenomics Category allocation address
          type: string
    TokenomicsCategoryDto:
      required:
        - contractId
        - name
        - allocationAddress
        - schedule
      type: object
      properties:
        id:
          format: int64
          description: Unique identifier of the entity
          type: integer
          example: 1
        createdAt:
          format: int64
          description: Time when entity was created
          type: integer
        updatedAt:
          format: int64
          description: Time when entity was updated
          type: integer
        status:
          description: 'Status of the entity. Default: ''ACTIVE'''
          type: string
          allOf:
            - $ref: '#/components/schemas/Status'
        contractId:
          format: int64
          description: Tokenomics Category contract
          type: integer
        name:
          description: Name for the entity
          type: string
        allocationAddress:
          description: Tokenomics Category allocation address
          type: string
        schedule:
          description: Tokenomics Category allocation schedule
          type: array
          items:
            $ref: '#/components/schemas/TokenomicsScheduleDto'
    Status:
      enum:
        - ACTIVE
        - DISABLED
        - DELETED
      type: string
    TokenomicsScheduleDto:
      required:
        - tokenomicsCategoryId
        - allocatedAt
        - value
      type: object
      properties:
        id:
          format: int64
          description: Unique identifier of the entity
          type: integer
          example: 1
        createdAt:
          format: int64
          description: Time when entity was created
          type: integer
        updatedAt:
          format: int64
          description: Time when entity was updated
          type: integer
        status:
          description: 'Status of the entity. Default: ''ACTIVE'''
          type: string
          allOf:
            - $ref: '#/components/schemas/Status'
        tokenomicsCategoryId:
          format: int64
          description: Tokenomics Category Id of the entry
          type: integer
        allocatedAt:
          format: int64
          description: Tokens allocation datetime
          type: integer
        value:
          description: Tokens allocation amount
          type: number
  securitySchemes:
    SecurityScheme:
      type: http
      description: Authentication
      scheme: bearer
      bearerFormat: JWT

````